import type { Hex } from '../types/misc.js';
import { type ToHexErrorType } from '../utils/encoding/toHex.js';
import type { ErrorType } from '../errors/utils.js';
import { type ToAccountErrorType } from './toAccount.js';
import type { PrivateKeyAccount } from './types.js';
import { type PublicKeyToAddressErrorType } from './utils/publicKeyToAddress.js';
import { type SignMessageErrorType } from './utils/signMessage.js';
import { type SignTransactionErrorType } from './utils/signTransaction.js';
import { type SignTypedDataErrorType } from './utils/signTypedData.js';
export type PrivateKeyToAccountErrorType = ToAccountErrorType | ToHexErrorType | PublicKeyToAddressErrorType | SignMessageErrorType | SignTransactionErrorType | SignTypedDataErrorType | ErrorType;
/**
 * @description Creates an Account from a private key.
 *
 * @returns A Private Key Account.
 */
export declare function privateKeyToAccount(privateKey: Hex): PrivateKeyAccount;
//# sourceMappingURL=privateKeyToAccount.d.ts.map