export declare const celo: {
    blockExplorers: {
        readonly default: {
            readonly name: "Celo Explorer";
            readonly url: "https://explorer.celo.org/mainnet";
        };
    };
    contracts: {
        readonly multicall3: {
            readonly address: "0xcA11bde05977b3631167028862bE2a173976CA11";
            readonly blockCreated: 13112599;
        };
    };
    id: 42220;
    name: "Celo";
    nativeCurrency: {
        readonly decimals: 18;
        readonly name: "CELO";
        readonly symbol: "CELO";
    };
    rpcUrls: {
        readonly default: {
            readonly http: readonly ["https://forno.celo.org"];
        };
    };
    sourceId?: number | undefined;
    testnet: false;
    formatters: {
        readonly block: {
            exclude: ("nonce" | "difficulty" | "gasLimit" | "mixHash" | "uncles")[] | undefined;
            format: (args: import("../index.js").Assign<Partial<import("../../index.js").RpcBlock>, import("../celo/types.js").CeloBlockOverrides & {
                transactions: `0x${string}`[] | import("../celo/types.js").CeloRpcTransaction[];
            }>) => {
                baseFeePerGas: bigint | null;
                difficulty: bigint;
                extraData: `0x${string}`;
                gasLimit: bigint;
                gasUsed: bigint;
                hash: `0x${string}` | null;
                logsBloom: `0x${string}` | null;
                miner: `0x${string}`;
                mixHash: `0x${string}`;
                nonce: `0x${string}` | null;
                number: bigint | null;
                parentHash: `0x${string}`;
                receiptsRoot: `0x${string}`;
                sealFields: `0x${string}`[];
                sha3Uncles: `0x${string}`;
                size: bigint;
                stateRoot: `0x${string}`;
                timestamp: bigint;
                totalDifficulty: bigint | null;
                transactions: `0x${string}`[] | import("../celo/types.js").CeloTransaction[];
                transactionsRoot: `0x${string}`;
                uncles: `0x${string}`[];
                withdrawals?: import("../../index.js").Withdrawal[] | undefined;
                withdrawalsRoot?: `0x${string}` | undefined;
                randomness: {
                    committed: `0x${string}`;
                    revealed: `0x${string}`;
                };
            } & {
                nonce: never;
                difficulty: never;
                gasLimit: never;
                mixHash: never;
                uncles: never;
            };
            type: "block";
        };
        readonly transaction: {
            exclude: [] | undefined;
            format: (args: ({
                yParity?: `0x${string}` | undefined;
                blockHash?: `0x${string}` | null | undefined;
                blockNumber?: `0x${string}` | null | undefined;
                from?: `0x${string}` | undefined;
                gas?: `0x${string}` | undefined;
                hash?: `0x${string}` | undefined;
                input?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                r?: `0x${string}` | undefined;
                s?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                transactionIndex?: `0x${string}` | null | undefined;
                v?: `0x${string}` | undefined;
                value?: `0x${string}` | undefined;
                type?: "0x0" | "0x1" | "0x2" | "0x7c" | "0x7b" | undefined;
                gasPrice?: `0x${string}` | undefined;
                maxFeePerGas?: `0x${string}` | undefined;
                maxPriorityFeePerGas?: `0x${string}` | undefined;
                accessList?: undefined;
                chainId?: `0x${string}` | undefined;
            } & import("../index.js").Omit<import("../../types/utils.js").PartialBy<import("../../index.js").TransactionLegacy<`0x${string}`, `0x${string}`, boolean, "0x0">, "yParity">, "typeHex"> & {
                feeCurrency: `0x${string}` | null;
                gatewayFee: `0x${string}` | null;
                gatewayFeeRecipient: `0x${string}` | null;
            }) | ({
                yParity?: `0x${string}` | undefined;
                blockHash?: `0x${string}` | null | undefined;
                blockNumber?: `0x${string}` | null | undefined;
                from?: `0x${string}` | undefined;
                gas?: `0x${string}` | undefined;
                hash?: `0x${string}` | undefined;
                input?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                r?: `0x${string}` | undefined;
                s?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                transactionIndex?: `0x${string}` | null | undefined;
                v?: `0x${string}` | undefined;
                value?: `0x${string}` | undefined;
                type?: "0x0" | "0x1" | "0x2" | "0x7c" | "0x7b" | undefined;
                gasPrice?: `0x${string}` | undefined;
                maxFeePerGas?: `0x${string}` | undefined;
                maxPriorityFeePerGas?: `0x${string}` | undefined;
                accessList?: undefined;
                chainId?: `0x${string}` | undefined;
            } & Omit<import("../../index.js").TransactionBase<`0x${string}`, `0x${string}`, boolean>, "typeHex"> & import("../../index.js").FeeValuesEIP1559<`0x${string}`> & {
                feeCurrency: `0x${string}` | null;
                gatewayFee: `0x${string}` | null;
                gatewayFeeRecipient: `0x${string}` | null;
                type: "0x7c";
            }) | ({
                yParity?: `0x${string}` | undefined;
                blockHash?: `0x${string}` | null | undefined;
                blockNumber?: `0x${string}` | null | undefined;
                from?: `0x${string}` | undefined;
                gas?: `0x${string}` | undefined;
                hash?: `0x${string}` | undefined;
                input?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                r?: `0x${string}` | undefined;
                s?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                transactionIndex?: `0x${string}` | null | undefined;
                v?: `0x${string}` | undefined;
                value?: `0x${string}` | undefined;
                type?: "0x0" | "0x1" | "0x2" | "0x7c" | "0x7b" | undefined;
                gasPrice?: `0x${string}` | undefined;
                maxFeePerGas?: `0x${string}` | undefined;
                maxPriorityFeePerGas?: `0x${string}` | undefined;
                accessList?: undefined;
                chainId?: `0x${string}` | undefined;
            } & Omit<import("../../index.js").TransactionBase<`0x${string}`, `0x${string}`, boolean>, "typeHex"> & import("../../index.js").FeeValuesEIP1559<`0x${string}`> & {
                feeCurrency: `0x${string}` | null;
                gatewayFee?: undefined;
                gatewayFeeRecipient?: undefined;
                type: "0x7b";
            }) | ({
                yParity?: `0x${string}` | undefined;
                blockHash?: `0x${string}` | null | undefined;
                blockNumber?: `0x${string}` | null | undefined;
                from?: `0x${string}` | undefined;
                gas?: `0x${string}` | undefined;
                hash?: `0x${string}` | undefined;
                input?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                r?: `0x${string}` | undefined;
                s?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                transactionIndex?: `0x${string}` | null | undefined;
                v?: `0x${string}` | undefined;
                value?: `0x${string}` | undefined;
                type?: "0x0" | "0x1" | "0x2" | "0x7c" | "0x7b" | undefined;
                gasPrice?: `0x${string}` | undefined;
                maxFeePerGas?: `0x${string}` | undefined;
                maxPriorityFeePerGas?: `0x${string}` | undefined;
                accessList?: import("../../index.js").AccessList | undefined;
                chainId?: `0x${string}` | undefined;
            } & import("../index.js").Omit<import("../../types/utils.js").PartialBy<import("../../index.js").TransactionLegacy<`0x${string}`, `0x${string}`, boolean, "0x0">, "yParity">, "typeHex"> & {
                feeCurrency: `0x${string}` | null;
                gatewayFee: `0x${string}` | null;
                gatewayFeeRecipient: `0x${string}` | null;
            }) | ({
                yParity?: `0x${string}` | undefined;
                blockHash?: `0x${string}` | null | undefined;
                blockNumber?: `0x${string}` | null | undefined;
                from?: `0x${string}` | undefined;
                gas?: `0x${string}` | undefined;
                hash?: `0x${string}` | undefined;
                input?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                r?: `0x${string}` | undefined;
                s?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                transactionIndex?: `0x${string}` | null | undefined;
                v?: `0x${string}` | undefined;
                value?: `0x${string}` | undefined;
                type?: "0x0" | "0x1" | "0x2" | "0x7c" | "0x7b" | undefined;
                gasPrice?: `0x${string}` | undefined;
                maxFeePerGas?: `0x${string}` | undefined;
                maxPriorityFeePerGas?: `0x${string}` | undefined;
                accessList?: import("../../index.js").AccessList | undefined;
                chainId?: `0x${string}` | undefined;
            } & import("../index.js").Omit<import("../../types/utils.js").PartialBy<import("../../index.js").TransactionEIP2930<`0x${string}`, `0x${string}`, boolean, "0x1">, "yParity">, "typeHex"> & {
                feeCurrency: `0x${string}` | null;
                gatewayFee: `0x${string}` | null;
                gatewayFeeRecipient: `0x${string}` | null;
            }) | ({
                yParity?: `0x${string}` | undefined;
                blockHash?: `0x${string}` | null | undefined;
                blockNumber?: `0x${string}` | null | undefined;
                from?: `0x${string}` | undefined;
                gas?: `0x${string}` | undefined;
                hash?: `0x${string}` | undefined;
                input?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                r?: `0x${string}` | undefined;
                s?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                transactionIndex?: `0x${string}` | null | undefined;
                v?: `0x${string}` | undefined;
                value?: `0x${string}` | undefined;
                type?: "0x0" | "0x1" | "0x2" | "0x7c" | "0x7b" | undefined;
                gasPrice?: `0x${string}` | undefined;
                maxFeePerGas?: `0x${string}` | undefined;
                maxPriorityFeePerGas?: `0x${string}` | undefined;
                accessList?: import("../../index.js").AccessList | undefined;
                chainId?: `0x${string}` | undefined;
            } & import("../index.js").Omit<import("../../types/utils.js").PartialBy<import("../../index.js").TransactionEIP1559<`0x${string}`, `0x${string}`, boolean, "0x2">, "yParity">, "typeHex"> & {
                feeCurrency: `0x${string}` | null;
                gatewayFee: `0x${string}` | null;
                gatewayFeeRecipient: `0x${string}` | null;
            }) | ({
                yParity?: `0x${string}` | undefined;
                blockHash?: `0x${string}` | null | undefined;
                blockNumber?: `0x${string}` | null | undefined;
                from?: `0x${string}` | undefined;
                gas?: `0x${string}` | undefined;
                hash?: `0x${string}` | undefined;
                input?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                r?: `0x${string}` | undefined;
                s?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                transactionIndex?: `0x${string}` | null | undefined;
                v?: `0x${string}` | undefined;
                value?: `0x${string}` | undefined;
                type?: "0x0" | "0x1" | "0x2" | "0x7c" | "0x7b" | undefined;
                gasPrice?: `0x${string}` | undefined;
                maxFeePerGas?: `0x${string}` | undefined;
                maxPriorityFeePerGas?: `0x${string}` | undefined;
                accessList?: import("../../index.js").AccessList | undefined;
                chainId?: `0x${string}` | undefined;
            } & Omit<import("../../index.js").TransactionBase<`0x${string}`, `0x${string}`, boolean>, "typeHex"> & import("../../index.js").FeeValuesEIP1559<`0x${string}`> & {
                feeCurrency: `0x${string}` | null;
                gatewayFee: `0x${string}` | null;
                gatewayFeeRecipient: `0x${string}` | null;
                type: "0x7c";
            }) | ({
                yParity?: `0x${string}` | undefined;
                blockHash?: `0x${string}` | null | undefined;
                blockNumber?: `0x${string}` | null | undefined;
                from?: `0x${string}` | undefined;
                gas?: `0x${string}` | undefined;
                hash?: `0x${string}` | undefined;
                input?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                r?: `0x${string}` | undefined;
                s?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                transactionIndex?: `0x${string}` | null | undefined;
                v?: `0x${string}` | undefined;
                value?: `0x${string}` | undefined;
                type?: "0x0" | "0x1" | "0x2" | "0x7c" | "0x7b" | undefined;
                gasPrice?: `0x${string}` | undefined;
                maxFeePerGas?: `0x${string}` | undefined;
                maxPriorityFeePerGas?: `0x${string}` | undefined;
                accessList?: import("../../index.js").AccessList | undefined;
                chainId?: `0x${string}` | undefined;
            } & Omit<import("../../index.js").TransactionBase<`0x${string}`, `0x${string}`, boolean>, "typeHex"> & import("../../index.js").FeeValuesEIP1559<`0x${string}`> & {
                feeCurrency: `0x${string}` | null;
                gatewayFee?: undefined;
                gatewayFeeRecipient?: undefined;
                type: "0x7b";
            }) | ({
                yParity?: `0x${string}` | undefined;
                blockHash?: `0x${string}` | null | undefined;
                blockNumber?: `0x${string}` | null | undefined;
                from?: `0x${string}` | undefined;
                gas?: `0x${string}` | undefined;
                hash?: `0x${string}` | undefined;
                input?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                r?: `0x${string}` | undefined;
                s?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                transactionIndex?: `0x${string}` | null | undefined;
                v?: `0x${string}` | undefined;
                value?: `0x${string}` | undefined;
                type?: "0x0" | "0x1" | "0x2" | "0x7c" | "0x7b" | undefined;
                gasPrice?: `0x${string}` | undefined;
                maxFeePerGas?: `0x${string}` | undefined;
                maxPriorityFeePerGas?: `0x${string}` | undefined;
                accessList?: import("../../index.js").AccessList | undefined;
                chainId?: `0x${string}` | undefined;
            } & import("../index.js").Omit<import("../../types/utils.js").PartialBy<import("../../index.js").TransactionLegacy<`0x${string}`, `0x${string}`, boolean, "0x0">, "yParity">, "typeHex"> & {
                feeCurrency: `0x${string}` | null;
                gatewayFee: `0x${string}` | null;
                gatewayFeeRecipient: `0x${string}` | null;
            }) | ({
                yParity?: `0x${string}` | undefined;
                blockHash?: `0x${string}` | null | undefined;
                blockNumber?: `0x${string}` | null | undefined;
                from?: `0x${string}` | undefined;
                gas?: `0x${string}` | undefined;
                hash?: `0x${string}` | undefined;
                input?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                r?: `0x${string}` | undefined;
                s?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                transactionIndex?: `0x${string}` | null | undefined;
                v?: `0x${string}` | undefined;
                value?: `0x${string}` | undefined;
                type?: "0x0" | "0x1" | "0x2" | "0x7c" | "0x7b" | undefined;
                gasPrice?: `0x${string}` | undefined;
                maxFeePerGas?: `0x${string}` | undefined;
                maxPriorityFeePerGas?: `0x${string}` | undefined;
                accessList?: import("../../index.js").AccessList | undefined;
                chainId?: `0x${string}` | undefined;
            } & import("../index.js").Omit<import("../../types/utils.js").PartialBy<import("../../index.js").TransactionEIP2930<`0x${string}`, `0x${string}`, boolean, "0x1">, "yParity">, "typeHex"> & {
                feeCurrency: `0x${string}` | null;
                gatewayFee: `0x${string}` | null;
                gatewayFeeRecipient: `0x${string}` | null;
            }) | ({
                yParity?: `0x${string}` | undefined;
                blockHash?: `0x${string}` | null | undefined;
                blockNumber?: `0x${string}` | null | undefined;
                from?: `0x${string}` | undefined;
                gas?: `0x${string}` | undefined;
                hash?: `0x${string}` | undefined;
                input?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                r?: `0x${string}` | undefined;
                s?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                transactionIndex?: `0x${string}` | null | undefined;
                v?: `0x${string}` | undefined;
                value?: `0x${string}` | undefined;
                type?: "0x0" | "0x1" | "0x2" | "0x7c" | "0x7b" | undefined;
                gasPrice?: `0x${string}` | undefined;
                maxFeePerGas?: `0x${string}` | undefined;
                maxPriorityFeePerGas?: `0x${string}` | undefined;
                accessList?: import("../../index.js").AccessList | undefined;
                chainId?: `0x${string}` | undefined;
            } & import("../index.js").Omit<import("../../types/utils.js").PartialBy<import("../../index.js").TransactionEIP1559<`0x${string}`, `0x${string}`, boolean, "0x2">, "yParity">, "typeHex"> & {
                feeCurrency: `0x${string}` | null;
                gatewayFee: `0x${string}` | null;
                gatewayFeeRecipient: `0x${string}` | null;
            }) | ({
                yParity?: `0x${string}` | undefined;
                blockHash?: `0x${string}` | null | undefined;
                blockNumber?: `0x${string}` | null | undefined;
                from?: `0x${string}` | undefined;
                gas?: `0x${string}` | undefined;
                hash?: `0x${string}` | undefined;
                input?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                r?: `0x${string}` | undefined;
                s?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                transactionIndex?: `0x${string}` | null | undefined;
                v?: `0x${string}` | undefined;
                value?: `0x${string}` | undefined;
                type?: "0x0" | "0x1" | "0x2" | "0x7c" | "0x7b" | undefined;
                gasPrice?: `0x${string}` | undefined;
                maxFeePerGas?: `0x${string}` | undefined;
                maxPriorityFeePerGas?: `0x${string}` | undefined;
                accessList?: import("../../index.js").AccessList | undefined;
                chainId?: `0x${string}` | undefined;
            } & Omit<import("../../index.js").TransactionBase<`0x${string}`, `0x${string}`, boolean>, "typeHex"> & import("../../index.js").FeeValuesEIP1559<`0x${string}`> & {
                feeCurrency: `0x${string}` | null;
                gatewayFee: `0x${string}` | null;
                gatewayFeeRecipient: `0x${string}` | null;
                type: "0x7c";
            }) | ({
                yParity?: `0x${string}` | undefined;
                blockHash?: `0x${string}` | null | undefined;
                blockNumber?: `0x${string}` | null | undefined;
                from?: `0x${string}` | undefined;
                gas?: `0x${string}` | undefined;
                hash?: `0x${string}` | undefined;
                input?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                r?: `0x${string}` | undefined;
                s?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                transactionIndex?: `0x${string}` | null | undefined;
                v?: `0x${string}` | undefined;
                value?: `0x${string}` | undefined;
                type?: "0x0" | "0x1" | "0x2" | "0x7c" | "0x7b" | undefined;
                gasPrice?: `0x${string}` | undefined;
                maxFeePerGas?: `0x${string}` | undefined;
                maxPriorityFeePerGas?: `0x${string}` | undefined;
                accessList?: import("../../index.js").AccessList | undefined;
                chainId?: `0x${string}` | undefined;
            } & Omit<import("../../index.js").TransactionBase<`0x${string}`, `0x${string}`, boolean>, "typeHex"> & import("../../index.js").FeeValuesEIP1559<`0x${string}`> & {
                feeCurrency: `0x${string}` | null;
                gatewayFee?: undefined;
                gatewayFeeRecipient?: undefined;
                type: "0x7b";
            })) => ({
                blockHash: `0x${string}` | null;
                blockNumber: bigint | null;
                from: `0x${string}`;
                gas: bigint;
                hash: `0x${string}`;
                input: `0x${string}`;
                nonce: number;
                r: `0x${string}`;
                s: `0x${string}`;
                to: `0x${string}` | null;
                transactionIndex: number | null;
                typeHex: `0x${string}` | null;
                v: bigint;
                value: bigint;
                gasPrice: bigint;
                maxFeePerGas?: undefined;
                maxPriorityFeePerGas?: undefined;
                accessList?: undefined;
                chainId?: number | undefined;
                yParity?: undefined;
                type: "legacy";
                feeCurrency: `0x${string}` | null;
                gatewayFee: bigint | null;
                gatewayFeeRecipient: `0x${string}` | null;
            } | {
                blockHash: `0x${string}` | null;
                blockNumber: bigint | null;
                from: `0x${string}`;
                gas: bigint;
                hash: `0x${string}`;
                input: `0x${string}`;
                nonce: number;
                r: `0x${string}`;
                s: `0x${string}`;
                to: `0x${string}` | null;
                transactionIndex: number | null;
                typeHex: `0x${string}` | null;
                v: bigint;
                value: bigint;
                gasPrice: undefined;
                maxFeePerGas: bigint;
                maxPriorityFeePerGas: bigint;
                accessList?: undefined;
                chainId?: number | undefined;
                yParity: number;
                type: "cip42";
                feeCurrency: `0x${string}` | null;
                gatewayFee: bigint | null;
                gatewayFeeRecipient: `0x${string}` | null;
            } | {
                blockHash: `0x${string}` | null;
                blockNumber: bigint | null;
                from: `0x${string}`;
                gas: bigint;
                hash: `0x${string}`;
                input: `0x${string}`;
                nonce: number;
                r: `0x${string}`;
                s: `0x${string}`;
                to: `0x${string}` | null;
                transactionIndex: number | null;
                typeHex: `0x${string}` | null;
                v: bigint;
                value: bigint;
                gasPrice: undefined;
                maxFeePerGas: bigint;
                maxPriorityFeePerGas: bigint;
                accessList?: undefined;
                chainId?: number | undefined;
                yParity: number;
                type: "cip64";
                feeCurrency: `0x${string}` | null;
                gatewayFee?: undefined;
                gatewayFeeRecipient?: undefined;
            } | {
                blockHash: `0x${string}` | null;
                blockNumber: bigint | null;
                from: `0x${string}`;
                gas: bigint;
                hash: `0x${string}`;
                input: `0x${string}`;
                nonce: number;
                r: `0x${string}`;
                s: `0x${string}`;
                to: `0x${string}` | null;
                transactionIndex: number | null;
                typeHex: `0x${string}` | null;
                v: bigint;
                value: bigint;
                yParity: number;
                gasPrice: bigint;
                maxFeePerGas?: undefined;
                maxPriorityFeePerGas?: undefined;
                accessList: import("../../index.js").AccessList;
                chainId: number;
                type: "eip2930";
                feeCurrency: `0x${string}` | null;
                gatewayFee: bigint | null;
                gatewayFeeRecipient: `0x${string}` | null;
            } | {
                blockHash: `0x${string}` | null;
                blockNumber: bigint | null;
                from: `0x${string}`;
                gas: bigint;
                hash: `0x${string}`;
                input: `0x${string}`;
                nonce: number;
                r: `0x${string}`;
                s: `0x${string}`;
                to: `0x${string}` | null;
                transactionIndex: number | null;
                typeHex: `0x${string}` | null;
                v: bigint;
                value: bigint;
                yParity: number;
                gasPrice: undefined;
                maxFeePerGas: bigint;
                maxPriorityFeePerGas: bigint;
                accessList: import("../../index.js").AccessList;
                chainId: number;
                type: "eip1559";
                feeCurrency: `0x${string}` | null;
                gatewayFee: bigint | null;
                gatewayFeeRecipient: `0x${string}` | null;
            } | {
                blockHash: `0x${string}` | null;
                blockNumber: bigint | null;
                from: `0x${string}`;
                gas: bigint;
                hash: `0x${string}`;
                input: `0x${string}`;
                nonce: number;
                r: `0x${string}`;
                s: `0x${string}`;
                to: `0x${string}` | null;
                transactionIndex: number | null;
                typeHex: `0x${string}` | null;
                v: bigint;
                value: bigint;
                yParity: number;
                gasPrice: undefined;
                maxFeePerGas: bigint;
                maxPriorityFeePerGas: bigint;
                accessList: import("../../index.js").AccessList;
                chainId: number;
                type: "cip42";
                feeCurrency: `0x${string}` | null;
                gatewayFee: bigint | null;
                gatewayFeeRecipient: `0x${string}` | null;
            } | {
                blockHash: `0x${string}` | null;
                blockNumber: bigint | null;
                from: `0x${string}`;
                gas: bigint;
                hash: `0x${string}`;
                input: `0x${string}`;
                nonce: number;
                r: `0x${string}`;
                s: `0x${string}`;
                to: `0x${string}` | null;
                transactionIndex: number | null;
                typeHex: `0x${string}` | null;
                v: bigint;
                value: bigint;
                yParity: number;
                gasPrice: undefined;
                maxFeePerGas: bigint;
                maxPriorityFeePerGas: bigint;
                accessList: import("../../index.js").AccessList;
                chainId: number;
                type: "cip64";
                feeCurrency: `0x${string}` | null;
                gatewayFee?: undefined;
                gatewayFeeRecipient?: undefined;
            } | {
                blockHash: `0x${string}` | null;
                blockNumber: bigint | null;
                from: `0x${string}`;
                gas: bigint;
                hash: `0x${string}`;
                input: `0x${string}`;
                nonce: number;
                r: `0x${string}`;
                s: `0x${string}`;
                to: `0x${string}` | null;
                transactionIndex: number | null;
                typeHex: `0x${string}` | null;
                v: bigint;
                value: bigint;
                yParity: number;
                gasPrice: bigint;
                maxFeePerGas: undefined;
                maxPriorityFeePerGas: undefined;
                accessList: import("../../index.js").AccessList;
                chainId: number;
                type: "eip2930";
                feeCurrency: `0x${string}` | null;
                gatewayFee: bigint | null;
                gatewayFeeRecipient: `0x${string}` | null;
            } | {
                blockHash: `0x${string}` | null;
                blockNumber: bigint | null;
                from: `0x${string}`;
                gas: bigint;
                hash: `0x${string}`;
                input: `0x${string}`;
                nonce: number;
                r: `0x${string}`;
                s: `0x${string}`;
                to: `0x${string}` | null;
                transactionIndex: number | null;
                typeHex: `0x${string}` | null;
                v: bigint;
                value: bigint;
                yParity: number;
                gasPrice?: undefined;
                maxFeePerGas: bigint;
                maxPriorityFeePerGas: bigint;
                accessList: import("../../index.js").AccessList;
                chainId: number;
                type: "eip1559";
                feeCurrency: `0x${string}` | null;
                gatewayFee: bigint | null;
                gatewayFeeRecipient: `0x${string}` | null;
            } | {
                blockHash: `0x${string}` | null;
                blockNumber: bigint | null;
                from: `0x${string}`;
                gas: bigint;
                hash: `0x${string}`;
                input: `0x${string}`;
                nonce: number;
                r: `0x${string}`;
                s: `0x${string}`;
                to: `0x${string}` | null;
                transactionIndex: number | null;
                typeHex: `0x${string}` | null;
                v: bigint;
                value: bigint;
                yParity: number;
                gasPrice?: undefined;
                maxFeePerGas: bigint;
                maxPriorityFeePerGas: bigint;
                accessList: import("../../index.js").AccessList;
                chainId: number;
                type: "cip42";
                feeCurrency: `0x${string}` | null;
                gatewayFee: bigint | null;
                gatewayFeeRecipient: `0x${string}` | null;
            } | {
                blockHash: `0x${string}` | null;
                blockNumber: bigint | null;
                from: `0x${string}`;
                gas: bigint;
                hash: `0x${string}`;
                input: `0x${string}`;
                nonce: number;
                r: `0x${string}`;
                s: `0x${string}`;
                to: `0x${string}` | null;
                transactionIndex: number | null;
                typeHex: `0x${string}` | null;
                v: bigint;
                value: bigint;
                yParity: number;
                gasPrice?: undefined;
                maxFeePerGas: bigint;
                maxPriorityFeePerGas: bigint;
                accessList: import("../../index.js").AccessList;
                chainId: number;
                type: "cip64";
                feeCurrency: `0x${string}` | null;
                gatewayFee?: undefined;
                gatewayFeeRecipient?: undefined;
            }) & {};
            type: "transaction";
        };
        readonly transactionReceipt: {
            exclude: [] | undefined;
            format: (args: import("../index.js").Assign<Partial<import("../../index.js").RpcTransactionReceipt>, import("../celo/types.js").CeloRpcTransactionReceiptOverrides>) => {
                blockHash: `0x${string}`;
                blockNumber: bigint;
                contractAddress: `0x${string}` | null;
                cumulativeGasUsed: bigint;
                effectiveGasPrice: bigint;
                from: `0x${string}`;
                gasUsed: bigint;
                logs: import("../../index.js").Log<bigint, number, false>[];
                logsBloom: `0x${string}`;
                status: "success" | "reverted";
                to: `0x${string}` | null;
                transactionHash: `0x${string}`;
                transactionIndex: number;
                type: import("../../index.js").TransactionType;
                feeCurrency: `0x${string}` | null;
                gatewayFee: bigint | null;
                gatewayFeeRecipient: `0x${string}` | null;
            } & {};
            type: "transactionReceipt";
        };
        readonly transactionRequest: {
            exclude: [] | undefined;
            format: (args: import("../index.js").Assign<Partial<import("../../index.js").TransactionRequest>, import("../celo/types.js").CeloTransactionRequest>) => ({
                data?: `0x${string}` | undefined;
                from: `0x${string}`;
                gas?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                value?: `0x${string}` | undefined;
                gasPrice?: `0x${string}` | undefined;
                maxFeePerGas?: undefined;
                maxPriorityFeePerGas?: undefined;
                accessList?: undefined;
                type?: "0x0" | undefined;
                feeCurrency?: `0x${string}` | undefined;
                gatewayFee?: `0x${string}` | undefined;
                gatewayFeeRecipient?: `0x${string}` | undefined;
            } | {
                data?: `0x${string}` | undefined;
                from: `0x${string}`;
                gas?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                value?: `0x${string}` | undefined;
                gasPrice?: `0x${string}` | undefined;
                maxFeePerGas?: undefined;
                maxPriorityFeePerGas?: undefined;
                accessList?: import("../../index.js").AccessList | undefined;
                type?: "0x1" | undefined;
                feeCurrency?: `0x${string}` | undefined;
                gatewayFee?: `0x${string}` | undefined;
                gatewayFeeRecipient?: `0x${string}` | undefined;
            } | {
                data?: `0x${string}` | undefined;
                from: `0x${string}`;
                gas?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                value?: `0x${string}` | undefined;
                gasPrice?: undefined;
                maxFeePerGas?: `0x${string}` | undefined;
                maxPriorityFeePerGas?: `0x${string}` | undefined;
                accessList?: import("../../index.js").AccessList | undefined;
                type?: "0x2" | undefined;
                feeCurrency?: `0x${string}` | undefined;
                gatewayFee?: `0x${string}` | undefined;
                gatewayFeeRecipient?: `0x${string}` | undefined;
            } | {
                data?: `0x${string}` | undefined;
                from: `0x${string}`;
                gas?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                value?: `0x${string}` | undefined;
                gasPrice?: undefined;
                maxFeePerGas?: `0x${string}` | undefined;
                maxPriorityFeePerGas?: `0x${string}` | undefined;
                accessList?: import("../../index.js").AccessList | undefined;
                type?: "0x7c" | undefined;
                feeCurrency?: `0x${string}` | undefined;
                gatewayFee?: `0x${string}` | undefined;
                gatewayFeeRecipient?: `0x${string}` | undefined;
            } | {
                data?: `0x${string}` | undefined;
                from: `0x${string}`;
                gas?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                value?: `0x${string}` | undefined;
                gasPrice?: undefined;
                maxFeePerGas?: `0x${string}` | undefined;
                maxPriorityFeePerGas?: `0x${string}` | undefined;
                accessList?: import("../../index.js").AccessList | undefined;
                type?: "0x7b" | undefined;
                feeCurrency?: `0x${string}` | undefined;
                gatewayFee?: undefined;
                gatewayFeeRecipient?: undefined;
            } | {
                data?: `0x${string}` | undefined;
                from: `0x${string}`;
                gas?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                value?: `0x${string}` | undefined;
                gasPrice?: `0x${string}` | undefined;
                maxFeePerGas?: undefined;
                maxPriorityFeePerGas?: undefined;
                accessList?: undefined;
                type?: "0x0" | undefined;
                feeCurrency?: `0x${string}` | undefined;
                gatewayFee?: `0x${string}` | undefined;
                gatewayFeeRecipient?: `0x${string}` | undefined;
            } | {
                data?: `0x${string}` | undefined;
                from: `0x${string}`;
                gas?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                value?: `0x${string}` | undefined;
                gasPrice?: `0x${string}` | undefined;
                maxFeePerGas?: undefined;
                maxPriorityFeePerGas?: undefined;
                accessList?: import("../../index.js").AccessList | undefined;
                type?: "0x1" | undefined;
                feeCurrency?: `0x${string}` | undefined;
                gatewayFee?: `0x${string}` | undefined;
                gatewayFeeRecipient?: `0x${string}` | undefined;
            } | {
                data?: `0x${string}` | undefined;
                from: `0x${string}`;
                gas?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                value?: `0x${string}` | undefined;
                gasPrice?: undefined;
                maxFeePerGas?: `0x${string}` | undefined;
                maxPriorityFeePerGas?: `0x${string}` | undefined;
                accessList?: import("../../index.js").AccessList | undefined;
                type?: "0x2" | undefined;
                feeCurrency?: `0x${string}` | undefined;
                gatewayFee?: `0x${string}` | undefined;
                gatewayFeeRecipient?: `0x${string}` | undefined;
            } | {
                data?: `0x${string}` | undefined;
                from: `0x${string}`;
                gas?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                value?: `0x${string}` | undefined;
                gasPrice?: undefined;
                maxFeePerGas?: `0x${string}` | undefined;
                maxPriorityFeePerGas?: `0x${string}` | undefined;
                accessList?: import("../../index.js").AccessList | undefined;
                type?: "0x7c" | undefined;
                feeCurrency?: `0x${string}` | undefined;
                gatewayFee?: `0x${string}` | undefined;
                gatewayFeeRecipient?: `0x${string}` | undefined;
            } | {
                data?: `0x${string}` | undefined;
                from: `0x${string}`;
                gas?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                value?: `0x${string}` | undefined;
                gasPrice?: undefined;
                maxFeePerGas?: `0x${string}` | undefined;
                maxPriorityFeePerGas?: `0x${string}` | undefined;
                accessList?: import("../../index.js").AccessList | undefined;
                type?: "0x7b" | undefined;
                feeCurrency?: `0x${string}` | undefined;
                gatewayFee?: undefined;
                gatewayFeeRecipient?: undefined;
            } | {
                data?: `0x${string}` | undefined;
                from: `0x${string}`;
                gas?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                value?: `0x${string}` | undefined;
                gasPrice?: `0x${string}` | undefined;
                maxFeePerGas?: undefined;
                maxPriorityFeePerGas?: undefined;
                accessList?: undefined;
                type?: "0x0" | undefined;
                feeCurrency?: `0x${string}` | undefined;
                gatewayFee?: `0x${string}` | undefined;
                gatewayFeeRecipient?: `0x${string}` | undefined;
            } | {
                data?: `0x${string}` | undefined;
                from: `0x${string}`;
                gas?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                value?: `0x${string}` | undefined;
                gasPrice?: `0x${string}` | undefined;
                maxFeePerGas?: undefined;
                maxPriorityFeePerGas?: undefined;
                accessList?: import("../../index.js").AccessList | undefined;
                type?: "0x1" | undefined;
                feeCurrency?: `0x${string}` | undefined;
                gatewayFee?: `0x${string}` | undefined;
                gatewayFeeRecipient?: `0x${string}` | undefined;
            } | {
                data?: `0x${string}` | undefined;
                from: `0x${string}`;
                gas?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                value?: `0x${string}` | undefined;
                gasPrice?: undefined;
                maxFeePerGas?: `0x${string}` | undefined;
                maxPriorityFeePerGas?: `0x${string}` | undefined;
                accessList?: import("../../index.js").AccessList | undefined;
                type?: "0x2" | undefined;
                feeCurrency?: `0x${string}` | undefined;
                gatewayFee?: `0x${string}` | undefined;
                gatewayFeeRecipient?: `0x${string}` | undefined;
            } | {
                data?: `0x${string}` | undefined;
                from: `0x${string}`;
                gas?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                value?: `0x${string}` | undefined;
                gasPrice?: undefined;
                maxFeePerGas?: `0x${string}` | undefined;
                maxPriorityFeePerGas?: `0x${string}` | undefined;
                accessList?: import("../../index.js").AccessList | undefined;
                type?: "0x7c" | undefined;
                feeCurrency?: `0x${string}` | undefined;
                gatewayFee?: `0x${string}` | undefined;
                gatewayFeeRecipient?: `0x${string}` | undefined;
            } | {
                data?: `0x${string}` | undefined;
                from: `0x${string}`;
                gas?: `0x${string}` | undefined;
                nonce?: `0x${string}` | undefined;
                to?: `0x${string}` | null | undefined;
                value?: `0x${string}` | undefined;
                gasPrice?: undefined;
                maxFeePerGas?: `0x${string}` | undefined;
                maxPriorityFeePerGas?: `0x${string}` | undefined;
                accessList?: import("../../index.js").AccessList | undefined;
                type?: "0x7b" | undefined;
                feeCurrency?: `0x${string}` | undefined;
                gatewayFee?: undefined;
                gatewayFeeRecipient?: undefined;
            }) & {};
            type: "transactionRequest";
        };
    };
    serializers: {
        readonly transaction: import("../../index.js").SerializeTransactionFn<import("../../index.js").TransactionSerializable | import("../celo/types.js").CeloTransactionSerializable>;
    };
    fees?: import("../../index.js").ChainFees<undefined> | undefined;
};
//# sourceMappingURL=celo.d.ts.map