import type { Hash } from '../../types/misc.js';
import type { OpStackRpcBlockOverrides, OpStackRpcTransaction, OpStackRpcTransactionReceiptOverrides, OpStackTransaction } from './types.js';
export declare const formatters: {
    readonly block: {
        exclude: [] | undefined;
        format: (args: import("../index.js").Assign<Partial<import("../../types/rpc.js").RpcBlock>, OpStackRpcBlockOverrides & {
            transactions: Hash[] | OpStackRpcTransaction[];
        }>) => {
            baseFeePerGas: bigint | null;
            difficulty: bigint;
            extraData: `0x${string}`;
            gasLimit: bigint;
            gasUsed: bigint;
            hash: `0x${string}` | null;
            logsBloom: `0x${string}` | null;
            miner: `0x${string}`;
            mixHash: `0x${string}`;
            nonce: `0x${string}` | null;
            number: bigint | null;
            parentHash: `0x${string}`;
            receiptsRoot: `0x${string}`;
            sealFields: `0x${string}`[];
            sha3Uncles: `0x${string}`;
            size: bigint;
            stateRoot: `0x${string}`;
            timestamp: bigint;
            totalDifficulty: bigint | null;
            transactions: Hash[] | OpStackTransaction[];
            transactionsRoot: `0x${string}`;
            uncles: `0x${string}`[];
            withdrawals?: import("../../index.js").Withdrawal[] | undefined;
            withdrawalsRoot?: `0x${string}` | undefined;
        } & {};
        type: "block";
    };
    readonly transaction: {
        exclude: [] | undefined;
        format: (args: ({
            yParity?: `0x${string}` | undefined;
            blockHash?: `0x${string}` | null | undefined;
            blockNumber?: `0x${string}` | null | undefined;
            from?: `0x${string}` | undefined;
            gas?: `0x${string}` | undefined;
            hash?: `0x${string}` | undefined;
            input?: `0x${string}` | undefined;
            nonce?: `0x${string}` | undefined;
            r?: `0x${string}` | undefined;
            s?: `0x${string}` | undefined;
            to?: `0x${string}` | null | undefined;
            transactionIndex?: `0x${string}` | null | undefined;
            v?: `0x${string}` | undefined;
            value?: `0x${string}` | undefined;
            type?: "0x0" | "0x1" | "0x2" | "0x7e" | undefined;
            gasPrice?: `0x${string}` | undefined;
            maxFeePerGas?: `0x${string}` | undefined;
            maxPriorityFeePerGas?: `0x${string}` | undefined;
            accessList?: undefined;
            chainId?: `0x${string}` | undefined;
        } & import("../index.js").Omit<import("../../types/utils.js").PartialBy<import("../../index.js").TransactionLegacy<`0x${string}`, `0x${string}`, boolean, "0x0">, "yParity">, "typeHex"> & {
            isSystemTx?: undefined;
            mint?: undefined;
            sourceHash?: undefined;
        }) | ({
            yParity?: `0x${string}` | undefined;
            blockHash?: `0x${string}` | null | undefined;
            blockNumber?: `0x${string}` | null | undefined;
            from?: `0x${string}` | undefined;
            gas?: `0x${string}` | undefined;
            hash?: `0x${string}` | undefined;
            input?: `0x${string}` | undefined;
            nonce?: `0x${string}` | undefined;
            r?: `0x${string}` | undefined;
            s?: `0x${string}` | undefined;
            to?: `0x${string}` | null | undefined;
            transactionIndex?: `0x${string}` | null | undefined;
            v?: `0x${string}` | undefined;
            value?: `0x${string}` | undefined;
            type?: "0x0" | "0x1" | "0x2" | "0x7e" | undefined;
            gasPrice?: `0x${string}` | undefined;
            maxFeePerGas?: `0x${string}` | undefined;
            maxPriorityFeePerGas?: `0x${string}` | undefined;
            accessList?: undefined;
            chainId?: `0x${string}` | undefined;
        } & Omit<import("../../index.js").TransactionBase<`0x${string}`, `0x${string}`, boolean>, "typeHex"> & import("../../index.js").FeeValuesEIP1559<`0x${string}`> & {
            isSystemTx?: boolean | undefined;
            mint?: `0x${string}` | undefined;
            sourceHash: `0x${string}`;
            type: "0x7e";
        }) | ({
            yParity?: `0x${string}` | undefined;
            blockHash?: `0x${string}` | null | undefined;
            blockNumber?: `0x${string}` | null | undefined;
            from?: `0x${string}` | undefined;
            gas?: `0x${string}` | undefined;
            hash?: `0x${string}` | undefined;
            input?: `0x${string}` | undefined;
            nonce?: `0x${string}` | undefined;
            r?: `0x${string}` | undefined;
            s?: `0x${string}` | undefined;
            to?: `0x${string}` | null | undefined;
            transactionIndex?: `0x${string}` | null | undefined;
            v?: `0x${string}` | undefined;
            value?: `0x${string}` | undefined;
            type?: "0x0" | "0x1" | "0x2" | "0x7e" | undefined;
            gasPrice?: `0x${string}` | undefined;
            maxFeePerGas?: `0x${string}` | undefined;
            maxPriorityFeePerGas?: `0x${string}` | undefined;
            accessList?: import("../../index.js").AccessList | undefined;
            chainId?: `0x${string}` | undefined;
        } & import("../index.js").Omit<import("../../types/utils.js").PartialBy<import("../../index.js").TransactionLegacy<`0x${string}`, `0x${string}`, boolean, "0x0">, "yParity">, "typeHex"> & {
            isSystemTx?: undefined;
            mint?: undefined;
            sourceHash?: undefined;
        }) | ({
            yParity?: `0x${string}` | undefined;
            blockHash?: `0x${string}` | null | undefined;
            blockNumber?: `0x${string}` | null | undefined;
            from?: `0x${string}` | undefined;
            gas?: `0x${string}` | undefined;
            hash?: `0x${string}` | undefined;
            input?: `0x${string}` | undefined;
            nonce?: `0x${string}` | undefined;
            r?: `0x${string}` | undefined;
            s?: `0x${string}` | undefined;
            to?: `0x${string}` | null | undefined;
            transactionIndex?: `0x${string}` | null | undefined;
            v?: `0x${string}` | undefined;
            value?: `0x${string}` | undefined;
            type?: "0x0" | "0x1" | "0x2" | "0x7e" | undefined;
            gasPrice?: `0x${string}` | undefined;
            maxFeePerGas?: `0x${string}` | undefined;
            maxPriorityFeePerGas?: `0x${string}` | undefined;
            accessList?: import("../../index.js").AccessList | undefined;
            chainId?: `0x${string}` | undefined;
        } & import("../index.js").Omit<import("../../types/utils.js").PartialBy<import("../../index.js").TransactionEIP2930<`0x${string}`, `0x${string}`, boolean, "0x1">, "yParity">, "typeHex"> & {
            isSystemTx?: undefined;
            mint?: undefined;
            sourceHash?: undefined;
        }) | ({
            yParity?: `0x${string}` | undefined;
            blockHash?: `0x${string}` | null | undefined;
            blockNumber?: `0x${string}` | null | undefined;
            from?: `0x${string}` | undefined;
            gas?: `0x${string}` | undefined;
            hash?: `0x${string}` | undefined;
            input?: `0x${string}` | undefined;
            nonce?: `0x${string}` | undefined;
            r?: `0x${string}` | undefined;
            s?: `0x${string}` | undefined;
            to?: `0x${string}` | null | undefined;
            transactionIndex?: `0x${string}` | null | undefined;
            v?: `0x${string}` | undefined;
            value?: `0x${string}` | undefined;
            type?: "0x0" | "0x1" | "0x2" | "0x7e" | undefined;
            gasPrice?: `0x${string}` | undefined;
            maxFeePerGas?: `0x${string}` | undefined;
            maxPriorityFeePerGas?: `0x${string}` | undefined;
            accessList?: import("../../index.js").AccessList | undefined;
            chainId?: `0x${string}` | undefined;
        } & import("../index.js").Omit<import("../../types/utils.js").PartialBy<import("../../index.js").TransactionEIP1559<`0x${string}`, `0x${string}`, boolean, "0x2">, "yParity">, "typeHex"> & {
            isSystemTx?: undefined;
            mint?: undefined;
            sourceHash?: undefined;
        }) | ({
            yParity?: `0x${string}` | undefined;
            blockHash?: `0x${string}` | null | undefined;
            blockNumber?: `0x${string}` | null | undefined;
            from?: `0x${string}` | undefined;
            gas?: `0x${string}` | undefined;
            hash?: `0x${string}` | undefined;
            input?: `0x${string}` | undefined;
            nonce?: `0x${string}` | undefined;
            r?: `0x${string}` | undefined;
            s?: `0x${string}` | undefined;
            to?: `0x${string}` | null | undefined;
            transactionIndex?: `0x${string}` | null | undefined;
            v?: `0x${string}` | undefined;
            value?: `0x${string}` | undefined;
            type?: "0x0" | "0x1" | "0x2" | "0x7e" | undefined;
            gasPrice?: `0x${string}` | undefined;
            maxFeePerGas?: `0x${string}` | undefined;
            maxPriorityFeePerGas?: `0x${string}` | undefined;
            accessList?: import("../../index.js").AccessList | undefined;
            chainId?: `0x${string}` | undefined;
        } & Omit<import("../../index.js").TransactionBase<`0x${string}`, `0x${string}`, boolean>, "typeHex"> & import("../../index.js").FeeValuesEIP1559<`0x${string}`> & {
            isSystemTx?: boolean | undefined;
            mint?: `0x${string}` | undefined;
            sourceHash: `0x${string}`;
            type: "0x7e";
        }) | ({
            yParity?: `0x${string}` | undefined;
            blockHash?: `0x${string}` | null | undefined;
            blockNumber?: `0x${string}` | null | undefined;
            from?: `0x${string}` | undefined;
            gas?: `0x${string}` | undefined;
            hash?: `0x${string}` | undefined;
            input?: `0x${string}` | undefined;
            nonce?: `0x${string}` | undefined;
            r?: `0x${string}` | undefined;
            s?: `0x${string}` | undefined;
            to?: `0x${string}` | null | undefined;
            transactionIndex?: `0x${string}` | null | undefined;
            v?: `0x${string}` | undefined;
            value?: `0x${string}` | undefined;
            type?: "0x0" | "0x1" | "0x2" | "0x7e" | undefined;
            gasPrice?: `0x${string}` | undefined;
            maxFeePerGas?: `0x${string}` | undefined;
            maxPriorityFeePerGas?: `0x${string}` | undefined;
            accessList?: import("../../index.js").AccessList | undefined;
            chainId?: `0x${string}` | undefined;
        } & import("../index.js").Omit<import("../../types/utils.js").PartialBy<import("../../index.js").TransactionLegacy<`0x${string}`, `0x${string}`, boolean, "0x0">, "yParity">, "typeHex"> & {
            isSystemTx?: undefined;
            mint?: undefined;
            sourceHash?: undefined;
        }) | ({
            yParity?: `0x${string}` | undefined;
            blockHash?: `0x${string}` | null | undefined;
            blockNumber?: `0x${string}` | null | undefined;
            from?: `0x${string}` | undefined;
            gas?: `0x${string}` | undefined;
            hash?: `0x${string}` | undefined;
            input?: `0x${string}` | undefined;
            nonce?: `0x${string}` | undefined;
            r?: `0x${string}` | undefined;
            s?: `0x${string}` | undefined;
            to?: `0x${string}` | null | undefined;
            transactionIndex?: `0x${string}` | null | undefined;
            v?: `0x${string}` | undefined;
            value?: `0x${string}` | undefined;
            type?: "0x0" | "0x1" | "0x2" | "0x7e" | undefined;
            gasPrice?: `0x${string}` | undefined;
            maxFeePerGas?: `0x${string}` | undefined;
            maxPriorityFeePerGas?: `0x${string}` | undefined;
            accessList?: import("../../index.js").AccessList | undefined;
            chainId?: `0x${string}` | undefined;
        } & import("../index.js").Omit<import("../../types/utils.js").PartialBy<import("../../index.js").TransactionEIP2930<`0x${string}`, `0x${string}`, boolean, "0x1">, "yParity">, "typeHex"> & {
            isSystemTx?: undefined;
            mint?: undefined;
            sourceHash?: undefined;
        }) | ({
            yParity?: `0x${string}` | undefined;
            blockHash?: `0x${string}` | null | undefined;
            blockNumber?: `0x${string}` | null | undefined;
            from?: `0x${string}` | undefined;
            gas?: `0x${string}` | undefined;
            hash?: `0x${string}` | undefined;
            input?: `0x${string}` | undefined;
            nonce?: `0x${string}` | undefined;
            r?: `0x${string}` | undefined;
            s?: `0x${string}` | undefined;
            to?: `0x${string}` | null | undefined;
            transactionIndex?: `0x${string}` | null | undefined;
            v?: `0x${string}` | undefined;
            value?: `0x${string}` | undefined;
            type?: "0x0" | "0x1" | "0x2" | "0x7e" | undefined;
            gasPrice?: `0x${string}` | undefined;
            maxFeePerGas?: `0x${string}` | undefined;
            maxPriorityFeePerGas?: `0x${string}` | undefined;
            accessList?: import("../../index.js").AccessList | undefined;
            chainId?: `0x${string}` | undefined;
        } & import("../index.js").Omit<import("../../types/utils.js").PartialBy<import("../../index.js").TransactionEIP1559<`0x${string}`, `0x${string}`, boolean, "0x2">, "yParity">, "typeHex"> & {
            isSystemTx?: undefined;
            mint?: undefined;
            sourceHash?: undefined;
        }) | ({
            yParity?: `0x${string}` | undefined;
            blockHash?: `0x${string}` | null | undefined;
            blockNumber?: `0x${string}` | null | undefined;
            from?: `0x${string}` | undefined;
            gas?: `0x${string}` | undefined;
            hash?: `0x${string}` | undefined;
            input?: `0x${string}` | undefined;
            nonce?: `0x${string}` | undefined;
            r?: `0x${string}` | undefined;
            s?: `0x${string}` | undefined;
            to?: `0x${string}` | null | undefined;
            transactionIndex?: `0x${string}` | null | undefined;
            v?: `0x${string}` | undefined;
            value?: `0x${string}` | undefined;
            type?: "0x0" | "0x1" | "0x2" | "0x7e" | undefined;
            gasPrice?: `0x${string}` | undefined;
            maxFeePerGas?: `0x${string}` | undefined;
            maxPriorityFeePerGas?: `0x${string}` | undefined;
            accessList?: import("../../index.js").AccessList | undefined;
            chainId?: `0x${string}` | undefined;
        } & Omit<import("../../index.js").TransactionBase<`0x${string}`, `0x${string}`, boolean>, "typeHex"> & import("../../index.js").FeeValuesEIP1559<`0x${string}`> & {
            isSystemTx?: boolean | undefined;
            mint?: `0x${string}` | undefined;
            sourceHash: `0x${string}`;
            type: "0x7e";
        })) => ({
            blockHash: `0x${string}` | null;
            blockNumber: bigint | null;
            from: `0x${string}`;
            gas: bigint;
            hash: `0x${string}`;
            input: `0x${string}`;
            nonce: number;
            r: `0x${string}`;
            s: `0x${string}`;
            to: `0x${string}` | null;
            transactionIndex: number | null;
            typeHex: `0x${string}` | null;
            v: bigint;
            value: bigint;
            gasPrice: bigint;
            maxFeePerGas?: undefined;
            maxPriorityFeePerGas?: undefined;
            accessList?: undefined;
            chainId?: number | undefined;
            yParity?: undefined;
            type: "legacy";
            isSystemTx?: undefined;
            mint?: undefined;
            sourceHash?: undefined;
        } | {
            blockHash: `0x${string}` | null;
            blockNumber: bigint | null;
            from: `0x${string}`;
            gas: bigint;
            hash: `0x${string}`;
            input: `0x${string}`;
            nonce: number;
            r: `0x${string}`;
            s: `0x${string}`;
            to: `0x${string}` | null;
            transactionIndex: number | null;
            typeHex: `0x${string}` | null;
            v: bigint;
            value: bigint;
            gasPrice: undefined;
            maxFeePerGas: bigint;
            maxPriorityFeePerGas: bigint;
            accessList?: undefined;
            chainId?: number | undefined;
            yParity: number;
            type: "deposit";
            isSystemTx?: boolean | undefined;
            mint?: bigint | undefined;
            sourceHash: `0x${string}`;
        } | {
            blockHash: `0x${string}` | null;
            blockNumber: bigint | null;
            from: `0x${string}`;
            gas: bigint;
            hash: `0x${string}`;
            input: `0x${string}`;
            nonce: number;
            r: `0x${string}`;
            s: `0x${string}`;
            to: `0x${string}` | null;
            transactionIndex: number | null;
            typeHex: `0x${string}` | null;
            v: bigint;
            value: bigint;
            yParity: number;
            gasPrice: bigint;
            maxFeePerGas?: undefined;
            maxPriorityFeePerGas?: undefined;
            accessList: import("../../index.js").AccessList;
            chainId: number;
            type: "eip2930";
            isSystemTx?: undefined;
            mint?: undefined;
            sourceHash?: undefined;
        } | {
            blockHash: `0x${string}` | null;
            blockNumber: bigint | null;
            from: `0x${string}`;
            gas: bigint;
            hash: `0x${string}`;
            input: `0x${string}`;
            nonce: number;
            r: `0x${string}`;
            s: `0x${string}`;
            to: `0x${string}` | null;
            transactionIndex: number | null;
            typeHex: `0x${string}` | null;
            v: bigint;
            value: bigint;
            yParity: number;
            gasPrice: undefined;
            maxFeePerGas: bigint;
            maxPriorityFeePerGas: bigint;
            accessList: import("../../index.js").AccessList;
            chainId: number;
            type: "eip1559";
            isSystemTx?: undefined;
            mint?: undefined;
            sourceHash?: undefined;
        } | {
            blockHash: `0x${string}` | null;
            blockNumber: bigint | null;
            from: `0x${string}`;
            gas: bigint;
            hash: `0x${string}`;
            input: `0x${string}`;
            nonce: number;
            r: `0x${string}`;
            s: `0x${string}`;
            to: `0x${string}` | null;
            transactionIndex: number | null;
            typeHex: `0x${string}` | null;
            v: bigint;
            value: bigint;
            yParity: number;
            gasPrice: undefined;
            maxFeePerGas: bigint;
            maxPriorityFeePerGas: bigint;
            accessList: import("../../index.js").AccessList;
            chainId: number;
            type: "deposit";
            isSystemTx?: boolean | undefined;
            mint?: bigint | undefined;
            sourceHash: `0x${string}`;
        } | {
            blockHash: `0x${string}` | null;
            blockNumber: bigint | null;
            from: `0x${string}`;
            gas: bigint;
            hash: `0x${string}`;
            input: `0x${string}`;
            nonce: number;
            r: `0x${string}`;
            s: `0x${string}`;
            to: `0x${string}` | null;
            transactionIndex: number | null;
            typeHex: `0x${string}` | null;
            v: bigint;
            value: bigint;
            yParity: number;
            gasPrice: bigint;
            maxFeePerGas: undefined;
            maxPriorityFeePerGas: undefined;
            accessList: import("../../index.js").AccessList;
            chainId: number;
            type: "eip2930";
            isSystemTx?: undefined;
            mint?: undefined;
            sourceHash?: undefined;
        } | {
            blockHash: `0x${string}` | null;
            blockNumber: bigint | null;
            from: `0x${string}`;
            gas: bigint;
            hash: `0x${string}`;
            input: `0x${string}`;
            nonce: number;
            r: `0x${string}`;
            s: `0x${string}`;
            to: `0x${string}` | null;
            transactionIndex: number | null;
            typeHex: `0x${string}` | null;
            v: bigint;
            value: bigint;
            yParity: number;
            gasPrice?: undefined;
            maxFeePerGas: bigint;
            maxPriorityFeePerGas: bigint;
            accessList: import("../../index.js").AccessList;
            chainId: number;
            type: "eip1559";
            isSystemTx?: undefined;
            mint?: undefined;
            sourceHash?: undefined;
        } | {
            blockHash: `0x${string}` | null;
            blockNumber: bigint | null;
            from: `0x${string}`;
            gas: bigint;
            hash: `0x${string}`;
            input: `0x${string}`;
            nonce: number;
            r: `0x${string}`;
            s: `0x${string}`;
            to: `0x${string}` | null;
            transactionIndex: number | null;
            typeHex: `0x${string}` | null;
            v: bigint;
            value: bigint;
            yParity: number;
            gasPrice?: undefined;
            maxFeePerGas: bigint;
            maxPriorityFeePerGas: bigint;
            accessList: import("../../index.js").AccessList;
            chainId: number;
            type: "deposit";
            isSystemTx?: boolean | undefined;
            mint?: bigint | undefined;
            sourceHash: `0x${string}`;
        }) & {};
        type: "transaction";
    };
    readonly transactionReceipt: {
        exclude: [] | undefined;
        format: (args: import("../index.js").Assign<Partial<import("../../types/rpc.js").RpcTransactionReceipt>, OpStackRpcTransactionReceiptOverrides>) => {
            blockHash: `0x${string}`;
            blockNumber: bigint;
            contractAddress: `0x${string}` | null;
            cumulativeGasUsed: bigint;
            effectiveGasPrice: bigint;
            from: `0x${string}`;
            gasUsed: bigint;
            logs: import("../../index.js").Log<bigint, number, false>[];
            logsBloom: `0x${string}`;
            status: "success" | "reverted";
            to: `0x${string}` | null;
            transactionHash: `0x${string}`;
            transactionIndex: number;
            type: import("../../index.js").TransactionType;
            l1GasPrice: bigint | null;
            l1GasUsed: bigint | null;
            l1Fee: bigint | null;
            l1FeeScalar: number | null;
        } & {};
        type: "transactionReceipt";
    };
};
//# sourceMappingURL=formatters.d.ts.map